updating an existing installation using a newer setup file

I had CIS 3.5.. installed on my computer. I downloaded a newer version of CIS 3.5.(*+1). But when I run the downloaded setup, it just asks to uninstall the existing CIS. It would be nice if it detected that an older version was running and updated it accordingly.